package org.gcube.data.analysis.nlphub;

import org.gcube.data.analysis.nlphub.is.DMDiscover;
import org.gcube.data.analysis.nlphub.shared.Constants;
import org.junit.Assert;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DiscoverDataMinerServiceTest {
	private static final Logger logger = LoggerFactory.getLogger(DiscoverDataMinerServiceTest.class);

	@Test
	public void discover() {
		if (Constants.TEST_ENABLE) {
			try{
				DMDiscover dmDiscover=new DMDiscover();
				String url=dmDiscover.retrieveServiceUrl(Constants.DEFAULT_TOKEN);
				logger.debug("Url Retrieved: "+url);
				Assert.assertTrue(true);
			} catch (Throwable e) {
				logger.error("Error retrieving DataMinerServiceUrl: "+e.getLocalizedMessage(),e);
				Assert.fail("Error retrieving DataMinerServiceUrl: "+e.getLocalizedMessage());
			}
		} else {
			Assert.assertTrue(true);
		}

	}
}
